Bug 16181 - Wuftpd &internal ls & dot-files
Summary: Wuftpd &internal ls & dot-files
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-14 18:01 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-15 15:03:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-08-14 18:01:55 UTC
Wuftpd does not show dot-files. Tryed to change to external ls, but it
still uses internal ls.

Comment 1 Bernhard Rosenkraenzer 2000-08-14 18:06:38 UTC
rawhide turns off the internal ls by default.

Also, unless I'm misinterpreting the RFCs, ftp ls isn't supposed to show
dotfiles unless you run ls -a, just like a shell.


Comment 2 Need Real Name 2000-08-14 20:32:27 UTC
From file /usr/doc/wu-ftpd-2.6.0/CHANGES:

 o  The internal ls (see below) was judged to be unready.  It has been disabled
    by default but can be enabled with a compile-time option for those who wish
    to attempt to debug it (be warned, it has a lot of problems).

Internal ls is enable even the file claims vice versa. 

Added following lines to /etc/ftpaccess, which should (?) enable external ls,
but it didn't help:

lsplain ls -a
lslong ls -a
lsplain ls -a                                                                   

Dot-files are still hidden...

Comment 3 Bernhard Rosenkraenzer 2000-08-15 11:33:58 UTC
The internal ls is definitely disabled in rawhide, and besides it's not as bad
as the release notes claim (we've added some fixes).

Comment 4 Need Real Name 2000-08-15 15:03:02 UTC
I checked it by using strace and it does not run /bin/ls.  No change if I have
line 'lsplain ls -a' in /etc/ftpaccess.

Wu-ftpd version is 2.6.0-14.6x

Comment 5 Pekka Savola 2000-08-18 13:44:14 UTC
2.6.0-14.6x is not the version bero referred to; that is the errata version.  It
has internal ls enabled.

2.6.1-6 from Rawhide does not have internal ls.



Note You need to log in before you can comment on or make changes to this bug.